Xeonr Developer Docs

Create Discord Webhook

POST
/xeonr.auth.private.v1.AuditService/CreateDiscordWebhook

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

name?string
Lengthlength <= 255
url?string
Length1 <= length <= 2048
enabled?boolean
events?events
Itemsitems <= 256
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.AuditService/CreateDiscordWebhook" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "webhook": {
    "id": "string",
    "name": "string",
    "url": "string",
    "enabled": true,
    "events": [
      "string"
    ],
    "createdBy": "string",
    "createdAt": "2023-01-15T01:30:15.01Z",
    "updatedAt": "2023-01-15T01:30:15.01Z"
  }
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}